class CreateIdCardEmployerLogos < ActiveRecord::Migration[7.2]
  def change
    create_table :id_card_employer_logos do |t|
      t.string :filename
      t.binary :image_data
      t.string :content_type
      t.float :aspect_ratio
      t.boolean :active, default: false
      t.belongs_to :setup, null: true, foreign_key: { to_table: :id_card_setups }

      t.timestamps
    end
  end
end
